[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.Create

Instantiate a new instance of TCustomIniFile.

## Declaration

Source position: inifiles.pp line 168

`public constructor TCustomIniFile.Create(`
`const AFileName: string;`
`ADefaultEncoding: TEncoding;`
`AOptions: TIniFileOptions = []`
`); constructor TCustomIniFile.Create(`
`const AFileName: string;`
`ADefaultEncoding: TEncoding;`
`AOwnsEncoding: Boolean;`
`AOptions: TIniFileOptions = []`
`); constructor TCustomIniFile.Create(`
`const AFileName: string;`
`AOptions: TIniFileOptions = []`
`); virtual; constructor TCustomIniFile.Create(`
`const AFileName: string;`
`AEscapeLineFeeds: Boolean`
`); virtual;`

## Arguments

`AFileName` |  | Filename to read
`ADefaultEncoding` |  | Default encoding to use when writing strings
`AOptions` |  | Options to use when processing the ini file.

## Arguments

`AFileName` |  | Filename to read
`ADefaultEncoding` |  | Default encoding to use when writing strings
`AOwnsEncoding` |  | Does the ini file own the encoding (ie. free it when destroyed)
`AOptions` |  | Options to use when processing the ini file.

## Arguments

`AFileName` |  | Filename to read
`AOptions` |  | Options to use when processing the ini file.

## Arguments

`AFileName` |  | Filename to read
`AEscapeLineFeeds` |  | Should escaping of linefeeds be enabled ?

## Description

Create creates a new instance of TCustomIniFile and loads it with the data from AFileName, if this file exists. If the ifoEscapeLineFeeds option is present in AOptions or AEscapeLineFeeds parameter is True, then lines which have their end-of-line markers escaped with a backslash, will be concatenated. This means that the following 2 lines

    Description=This is a \
    line with a long text

is equivalent to

    Description=This is a line with a long text

By default, not escaping of linefeeds is performed (for Delphi compatibility)

Default options for the TCustomIniFile.Options property can be specified in AOptions.

A Default string encoding can be specified in aEncoding. If aOwnsEncoding is True the encoding will be freed when the ini file instance is destroyed.

## Errors

If the file cannot be read, an exception may be raised.

## See also

Destroy |  | Remove the TCustomIniFile instance from memory
TCustomIniFile.Options |  | Options currently in effect